kasmxproxy(1)

NAME
kasmxproxy - proxy an existing X11 display to a KasmVNC display

SYNOPSIS
kasmxproxy [-a|--app-display source-display] [-v|--vnc-display destination-display] [-f|--fps FPS] [-r|--resize]

DESCRIPTION
kasmxproxy is used to proxy an x display, usually attached to a physical GPU, to KasmVNC display. This is usually used in the context of providing GPU acceleration to a KasmVNC session.

OPTIONS

-a, --app-display source-display
    Existing X display to proxy. Defaults to :0.

-v, --vnc-display destination-display
    X display, where source display will be available on. Defaults to :1.

-f, --fps frames-per-second
    X display, where the source display will be available on. Defaults to 30 frames per second.

-r|--resize
    Enable resizing. WARNING: DO NOT ENABLE IF PHYSICAL DISPLAY IS ATTACHED. Disabled by default.

EXAMPLES

kasmxproxy -a :1 -v :10 -r
    Proxy display :1 to display :10, with resizing on.

AUTHOR
Kasm Technologies Corp https://www.kasmweb.com